﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<ProjectUni.Models.Notes>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <h2>Index</h2>

            <div>
                @Html.ActionLink("Create New", "Create")
                <spam class="pull-right" style="margin-top:50px">
                    @using (Html.BeginForm("Index", "Notes", FormMethod.Get))
                    {

                        @*@Html.Label("Search by Title")<br />*@
                        <input type="text" style="padding-right:30px;margin-bottom:20px" placeholder="By Topic Name Only" name="search" />
                        <input type="submit" value="Search" />
                    }
                </spam>
            </div>
            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().topics.TName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().TNotes)
                        <hr />
                    </th>

                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.topics.TName)
                        </td>
                        <td>
                            @Html.Raw(@item.TNotes)
                        </td>
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.N_ID }) |
                            @Html.ActionLink("Details", "Details", new { id = item.N_ID }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.N_ID })
                        </td>
                    </tr>
                }
                @Html.PagedListPager(Model, page => Url.Action("Index", new { page }))
            </table>

        </div>
    </div>
</div>
